mac question

 
Post new topic   Reply to topic    Aprelium Forum Index -> General Questions
View previous topic :: View next topic  
Author Message
mobileplaza
-


Joined: 04 Apr 2005
Posts: 35

PostPosted: Sat Sep 10, 2005 11:27 pm    Post subject: mac question Reply with quote

hey dudes. i never knew abyss was releases on mac os.

i have my mac mini which i never use!! so i want to use this as my new servor. it runs nice and quite.

my question is what else shall i download. will i need to download mysl and php?

i think my mac comes with php standard?? also will myphpAdmin work with osx 10.3?

sorry i completley dumb when it comes to macs

ps: reason im asking abou mysql & phpAdmin is that i wll ne running a forum off it..
Back to top View user's profile Send private message
AbyssUnderground
-


Joined: 31 Dec 2004
Posts: 3855

PostPosted: Sun Sep 11, 2005 12:32 am    Post subject: Reply with quote

You will need MySQL and PHP to run a forum so just follow the installations instructions for each.

phpMyAdmin should work but Ive had zero use with macs so I wouldnt know.
_________________
Andy (AbyssUnderground) (previously The Inquisitor)
www.abyssunderground.co.uk
Back to top View user's profile Send private message Visit poster's website
mobileplaza
-


Joined: 04 Apr 2005
Posts: 35

PostPosted: Sun Sep 11, 2005 1:18 am    Post subject: Reply with quote

k were im at so far...

got abyss running on mac..


downloaded n installed: PHP 4.3.10 CGI package for MacOS X
** edited: okay this install php. does it also have mysql? or do i install it seperate?


now when i installed myphpadmin at goto http://127.0.0.1/phpadmin/ i get this lovely message:


Code:

SQL said: Documentation
#2002 - The server is not responding (or the local MySQL server's socket is not correctly configured)
[/code][/b]
Back to top View user's profile Send private message
AbyssUnderground
-


Joined: 31 Dec 2004
Posts: 3855

PostPosted: Sun Sep 11, 2005 10:01 am    Post subject: Reply with quote

The error is being produced because you have not installed MySQL or it isnt running. Make sure you have it and it is running.
_________________
Andy (AbyssUnderground) (previously The Inquisitor)
www.abyssunderground.co.uk
Back to top View user's profile Send private message Visit poster's website
aprelium
-


Joined: 22 Mar 2002
Posts: 6800

PostPosted: Sun Sep 11, 2005 5:34 pm    Post subject: Reply with quote

mobileplaza,

The MacOS X MySQL package is available in http://www.mysql.com .

The Mac OS X 10.3 version is in http://dev.mysql.com/get/Downloads/MySQL-4.1/mysql-standard-4.1.14-apple-darwin7.9.0-powerpc.dmg/from/pick . If you need another version (10.2 or 10.4), go to http://dev.mysql.com/downloads/mysql/4.1.html .
_________________
Support Team
Aprelium - http://www.aprelium.com
Back to top View user's profile Send private message Send e-mail
mobileplaza
-


Joined: 04 Apr 2005
Posts: 35

PostPosted: Sun Sep 11, 2005 9:54 pm    Post subject: Reply with quote

excellent dudes. got it working.. i never had the mysql db running via system prefs..

all working well...


thanx for the support guys
Back to top View user's profile Send private message
mobileplaza
-


Joined: 04 Apr 2005
Posts: 35

PostPosted: Mon Sep 12, 2005 4:01 pm    Post subject: Reply with quote

i need a bit of help lads...

k i have run myphpadmin.. now when trying to secure the mysql by setting up a user name and password. i get the following error when try log into myphpadmin

Code:
#1251 - Client does not support authentication protocol requested by server; consider upgrading MySQL client


iv read pages upon pages on the net.. cant seem to figure it out. help!

ps i followed truskpunks tutorial for phpadmin install..

i think its do do with the mac security..[/code]

ps, i have looked @ http://dev.mysql.com/doc/mysql/en/old-client.htm . it doesnt make any sense to me.. could someone simplify it for me
Back to top View user's profile Send private message
TRUSTAbyss
-


Joined: 29 Oct 2003
Posts: 3720
Location: USA, GA

PostPosted: Mon Sep 12, 2005 7:36 pm    Post subject: Reply with quote

You might be using the wrong PHP version for that MySQL , you may need to
install PHP v5.0.x in order to keep from seeing that error. Hope this helps. :-)

Example:

PHP v4 [MySQL v4.0.x]
PHP v5 [MySQL v4.1.x]


Sincerely , TRUSTpunk
_________________
Computer Programmer & Networking Specialist

Back to top View user's profile Send private message Visit poster's website MSN Messenger
mobileplaza
-


Joined: 04 Apr 2005
Posts: 35

PostPosted: Mon Sep 12, 2005 10:20 pm    Post subject: Reply with quote

right yet another problem... going live now with servor..


when i hook it up with no-ip dns.... it will try connect and time out.... i have opened port 80 on my ip range. any ideas?
Back to top View user's profile Send private message
aprelium
-


Joined: 22 Mar 2002
Posts: 6800

PostPosted: Tue Sep 13, 2005 3:15 pm    Post subject: Reply with quote

mobileplaza,

MySQL 4.1 uses a new password scheme not supported by PHP 4. So the solution is to install MySQL 4.0 instead or tweak your current MySQL installation to use the legacy passwords format (search MySQL.com for the error code you have received and you can find more information).
_________________
Support Team
Aprelium - http://www.aprelium.com
Back to top View user's profile Send private message Send e-mail
aprelium
-


Joined: 22 Mar 2002
Posts: 6800

PostPosted: Tue Sep 13, 2005 3:17 pm    Post subject: Reply with quote

mobileplaza,

Try testing your site accessibility using http://www.proxify.com . Most routers do not support loopback so you cannot browse your no-ip.com address from your computer and get the pages.
_________________
Support Team
Aprelium - http://www.aprelium.com
Back to top View user's profile Send private message Send e-mail
mobileplaza
-


Joined: 04 Apr 2005
Posts: 35

PostPosted: Tue Sep 13, 2005 6:28 pm    Post subject: Reply with quote

thank you aprelium.. i just had to reset my router... case closed.
Back to top View user's profile Send private message
Display posts from previous:   
Post new topic   Reply to topic    Aprelium Forum Index -> General Questions All times are GMT + 1 Hour
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum


Powered by phpBB phpBB Group